VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "ComDlg32.OCX"
Begin VB.Form frmMain 
   Caption         =   "Form1"
   ClientHeight    =   7575
   ClientLeft      =   60
   ClientTop       =   405
   ClientWidth     =   10080
   LinkTopic       =   "Form1"
   ScaleHeight     =   505
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   672
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command2 
      Caption         =   "Run FaceDetection"
      Height          =   555
      Left            =   5520
      TabIndex        =   4
      Top             =   165
      Width           =   2265
   End
   Begin MSComDlg.CommonDialog CommonDialog1 
      Left            =   8790
      Top             =   150
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.PictureBox Picture1 
      AutoSize        =   -1  'True
      Height          =   6750
      Left            =   60
      ScaleHeight     =   446
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   660
      TabIndex        =   3
      Top             =   780
      Width           =   9960
   End
   Begin VB.Frame Frame1 
      Caption         =   "Select PixelFormat for FaceDetection"
      Height          =   675
      Left            =   2400
      TabIndex        =   1
      Top             =   60
      Width           =   3045
      Begin VB.ComboBox Combo1 
         Height          =   315
         Left            =   90
         Style           =   2  'Dropdown List
         TabIndex        =   2
         Top             =   270
         Width           =   2865
      End
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Load Image File"
      Height          =   555
      Left            =   90
      TabIndex        =   0
      Top             =   165
      Width           =   2265
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function TextOut Lib "gdi32" _
                         Alias "TextOutA" ( _
                         ByVal hdc As Long, _
                         ByVal x As Long, _
                         ByVal y As Long, _
                         ByVal lpString As String, _
                         ByVal nCount As Long) As Long
                         
Private cFaceDetection As clsFaceDetection

Private Sub Form_Load()
    Command1.Enabled = False
    Picture1.ScaleMode = vbPixels
    Picture1.AutoRedraw = True
    Picture1.ForeColor = vbRed
    Picture1.FontBold = True
    Picture1.FontSize = 12
    Picture1.DrawWidth = 2
    
    Set cFaceDetection = New clsFaceDetection
    If cFaceDetection.GetIsFaceDetectorInitialized Then
        Dim lngCount As Long
        lngCount = cFaceDetection.GetSupportedBitmapPixelFormatCount
        If lngCount > 0 Then
            Dim lngIndex As Long
            For lngIndex = 0 To lngCount - 1
                Combo1.AddItem cFaceDetection.GetSupportedBitmapPixelFormatByIndexAsString(lngIndex)
            Next
            Combo1.ListIndex = 0
            Command1.Enabled = True
        End If
    End If
End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    Set cFaceDetection = Nothing
End Sub

Private Sub Command1_Click()
    
    Dim strImageFile As String
    
    With CommonDialog1
        .DialogTitle = "Open Image"
        .Flags = cdlOFNFileMustExist Or cdlOFNHideReadOnly
        .Filter = "BMP Files (*.bmp)|*.bmp|" & _
                  "JPG Files (*.jpg)|*.jpg|" & _
                  "GIF Files (*.gif)|*.gif|"
        .FilterIndex = 2
        .ShowOpen
        strImageFile = .FileName
    End With
    
    If Len(strImageFile) > 0 Then
        Picture1.Picture = LoadPicture(strImageFile)
    End If
End Sub

Private Sub Command2_Click()
    If Picture1.Picture.Handle <> 0& Then
        If cFaceDetection.GetFaceDetectionFromFromHBitmap(Picture1.Picture.Handle, _
            cFaceDetection.GetSupportedBitmapPixelFormatByIndex(Combo1.ListIndex)) Then
            Dim lngCount As Long
            lngCount = cFaceDetection.GetDetectedFacesCount
            If lngCount > 0 Then
                Picture1.Cls
                Dim lngIndex As Long
                For lngIndex = 0 To lngCount - 1
                    Dim tBitmapBounds As BitmapBounds
                    tBitmapBounds = cFaceDetection.GetDetectedFaceBitmapBoundsByIndex(lngIndex)
                    Picture1.Line (tBitmapBounds.x, tBitmapBounds.y)-(tBitmapBounds.x + _
                                                                      tBitmapBounds.width, _
                                                                      tBitmapBounds.y + _
                                                                      tBitmapBounds.height), _
                                                                      Picture1.ForeColor, B
                    
                    Call TextOut(Picture1.hdc, tBitmapBounds.x + tBitmapBounds.width, _
                                 tBitmapBounds.y + tBitmapBounds.height, CStr(lngIndex + 1), _
                                 Len(CStr(lngIndex + 1)))
                Next
            End If
        End If
    End If
End Sub

